// Copyright 1998-2007 Epic Games, Inc. All Rights Reserved.
class UTMutator_Instagib extends UTMutator;

function InitMutator(string Options, out string ErrorMessage)
{
	if ( UTGame(WorldInfo.Game) != None )
	{
		UTGame(WorldInfo.Game).DefaultInventory.Length = 0;
		UTGame(WorldInfo.Game).DefaultInventory[0] = class'UTGame.UTWeap_Arclll';
		if ( UTTeamGame(WorldInfo.Game) != None )
		{
			UTTeamGame(WorldInfo.Game).TeammateBoost = 0.6;
		}
	}

	Super.InitMutator(Options, ErrorMessage);
}

function bool CheckReplacement(Actor Other)
{
	if (Other.IsA('UTWeapon') && !Other.IsA('UTVehicleWeapon') && !Other.IsA('UTWeap_Arclll') && !Other.IsA('UTWeap_Enforcer'))
	{
		return false;
	}
	else
	{
		return !Other.IsA('PickupFactory');
	}
}

defaultproperties
{
   GroupNames(0)="WEAPONMOD"
   GroupNames(1)="WEAPONRESPAWN"
   GroupNames(2)="HANDICAP"
   GroupNames(3)="POWERUPS"
   Begin Object Class=SpriteComponent Name=Sprite ObjName=Sprite Archetype=SpriteComponent'UTGame.Default__UTMutator:Sprite'
      ObjectArchetype=SpriteComponent'UTGame.Default__UTMutator:Sprite'
   End Object
   Components(0)=Sprite
   Name="Default__UTMutator_Arclll"
   ObjectArchetype=UTMutator'UTGame.Default__UTMutator'
}
